
Redmine - Feature #13891

Field conditions depending on ticket status

2013-04-26 14:30 - Jörn Allmers

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Conditions for ticket fields should be depending on the status of the ticket.

E.g. Date may be null if ticket is new but not is ticket is resolved.

Related issues:

Related to Redmine - Defect #12146: Required (list-, user- or version) custom... Confirmed

History

#1 - 2013-05-03 22:29 - Filou Centrinov

What's about field permission (workflow settings)?

#2 - 2013-05-04 23:43 - Filou Centrinov

Status: Needs feedback

#3 - 2013-05-05 03:16 - Mischa The Evil

- Status changed from New to Needs feedback

#4 - 2013-05-06 14:39 - Jörn Allmers

This feature solves the problem only partly.

It would be cool if I could say something like "% done" must not be null and 100% if the state is closed.

#5 - 2016-02-16 20:28 - @ go2null

Jörn Allmers: E.g. Date may be null if ticket is new but not is ticket is resolved.

 Filou Centrinov: What's about field permission (workflow settings)?

The issue is that you cannot say that the Date must be entered before the issue can be closed, and must be read-only when it is closed.

If I set the field to "Required" for status Closed, then it can be changed when it is in status Closed.

If I set it to "Read-Only", then it can be set to blank when closing.

Workaround is that for all Statuses that can lead to a closed Status, you will need to set the field to "Required".

#6 - 2016-04-04 18:13 - @ go2null

Duplicate of  #12146

#7 - 2016-04-04 18:17 - @ go2null

Duplicate of Feature #9280

#8 - 2016-05-01 12:59 - Toshi MARUYAMA

- Related to Defect #12146: Required (list-, user- or version) custom field "fixed version" with Multiple values allows nil value during status transition
